"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowKeybindingContribution = exports.WorkflowDiagramKeybindingContext = void 0;
/********************************************************************************
 * Copyright (c) 2020 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
var browser_1 = require("@eclipse-glsp/theia-integration/lib/browser");
var browser_2 = require("@theia/core/lib/browser");
var inversify_1 = require("inversify");
var workflow_language_1 = require("../../common/workflow-language");
var workflow_navigation_context_menu_1 = require("./workflow-navigation-context-menu");
var WorkflowDiagramKeybindingContext = /** @class */ (function () {
    function WorkflowDiagramKeybindingContext() {
        this.id = WorkflowDiagramKeybindingContext_1.ID;
    }
    WorkflowDiagramKeybindingContext_1 = WorkflowDiagramKeybindingContext;
    WorkflowDiagramKeybindingContext.prototype.isEnabled = function () {
        return this.shell.activeWidget instanceof browser_1.GLSPDiagramWidget
            && this.shell.activeWidget.diagramType === workflow_language_1.WorkflowLanguage.DiagramType;
    };
    var WorkflowDiagramKeybindingContext_1;
    WorkflowDiagramKeybindingContext.ID = 'workflow-diagram-keybinding-context';
    __decorate([
        inversify_1.inject(browser_2.ApplicationShell),
        __metadata("design:type", browser_2.ApplicationShell)
    ], WorkflowDiagramKeybindingContext.prototype, "shell", void 0);
    WorkflowDiagramKeybindingContext = WorkflowDiagramKeybindingContext_1 = __decorate([
        inversify_1.injectable()
    ], WorkflowDiagramKeybindingContext);
    return WorkflowDiagramKeybindingContext;
}());
exports.WorkflowDiagramKeybindingContext = WorkflowDiagramKeybindingContext;
var WorkflowKeybindingContribution = /** @class */ (function () {
    function WorkflowKeybindingContribution() {
    }
    WorkflowKeybindingContribution.prototype.registerKeybindings = function (registry) {
        registry.registerKeybinding({
            command: workflow_navigation_context_menu_1.WorkflowNavigationCommands.NEXT_NODE,
            context: WorkflowDiagramKeybindingContext.ID,
            keybinding: 'ctrl-4',
            when: 'glspEditorHasSelectionOfType == task:automated || glspEditorHasSelectionOfType == task:manual'
        });
        registry.registerKeybinding({
            command: workflow_navigation_context_menu_1.WorkflowNavigationCommands.PREVIOUS_NODE,
            context: WorkflowDiagramKeybindingContext.ID,
            keybinding: 'ctrl-3',
            when: 'glspEditorHasSelectionOfType == task:automated || glspEditorHasSelectionOfType == task:manual'
        });
    };
    WorkflowKeybindingContribution = __decorate([
        inversify_1.injectable()
    ], WorkflowKeybindingContribution);
    return WorkflowKeybindingContribution;
}());
exports.WorkflowKeybindingContribution = WorkflowKeybindingContribution;
//# sourceMappingURL=workflow-keybinding-contribution.js.map